Classes | Collections

# Library : LibraryBase : MultiLevelIdentityDictionary : Collection : Object

keeping objects in a central place
Source: Library.sc
See also: Archive, LibraryBase

## Description

Library is a global MultiLevelIdentityDictionary. The Library can be used as a place to store data that you want globally accessible. It is an alternative to using class variables. It is a nice place to store menus, annotations, and commonly reusable functions.

## Class Methods

### Library.postTree

From superclass: LibraryBase

Post a formatted description of the entire library.

    Library.postTree;

### Library.put( ... args)

From superclass: LibraryBase

The last argument to put is the object being inserted:

    Library.put(\multi, \level, \addressing, \system, "i'm the thing you are putting in here");
    Library.at(\multi, \level, \addressing, \system).postln;
    Library.atList([\multi, \level, \addressing, \system]).postln;

### Inherited class methods

### Undocumented class methods

### Library.global

### Library.global = obj

## Instance Methods

### Inherited instance methods

helpfile source: /Applications/SuperCollider.app/Contents/Resources/HelpSource/Classes/Library.schelp
link::Classes/Library::